[packages] openvpn: stop instances even if they are disabled (#9404)
[openwrt.org/packages.git] / net / openvpn / files / openvpn.init
blob:a/net/openvpn/files/openvpn.init -> blob:b/net/openvpn/files/openvpn.init
--- a/net/openvpn/files/openvpn.init
+++ b/net/openvpn/files/openvpn.init
@@ -115,7 +115,7 @@
 
 	# disabled?
 	config_get_bool enable "$s" enable 0
-	[ "$enable" == 0 ] && return 0
+	[ "$enable" == 1 ] || [ "$S" == "TERM" ] || return 0
 
 	PID="/var/run/openvpn-$s.pid"
 

comments